LogList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class LogList

    java.lang.Object
      com.fenalco.entities.LogList

    public class LogList

extends java.lang.Object

Esta clase representa el log de eventos del sisema, representado por las entradas de la tabla log en la base de datos.

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `log` Este Hashtable contiene el listado de las entradas del log, está conformado de la siguiente forma: - key: logId Identificador de la entrada del log - value: Objeto del tipo Log

Constructor Summary
`LogList()` Constructor por omisión, crea una nueva instancia del objeto.
`LogList(java.lang.String userId, int actionId, java.sql.Date startDate, java.sql.Date endDate)` Crea una instancia delobjeto de acuerdo a los parámetros que recibe.

Method Summary
`java.util.Hashtable` | `getLog()` Consultor para el atributo log.
`void` | `loadData()` Este método carga el log de eventos desde la base de datos por medio del método `query` de la clase `SQLUtilities`.
`void` | `loadData(java.lang.String userId, int actionId, java.sql.Date startDate, java.sql.Date endDate)` Este método carga el log de eventos desde la base de datos por medio del método `query` de la clase `SQLUtilities`.
`static void` | `main(java.lang.String[] args)`
`void` | `setLog(java.util.Hashtable log)` Modificador para el atributo log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private java.util.Hashtable log

  Este Hashtable contiene el listado de las entradas del log, está conformado de la siguiente forma: - key: logId Identificador de la entrada del log - value: Objeto del tipo Log

Constructor Detail

### LogList

    public LogList()

  Constructor por omisión, crea una nueva instancia del objeto. Llama al método loadData para cargar el log de eventos desde la base de datos.

### LogList

    public LogList(java.lang.String userId,
                   int actionId,
                   java.sql.Date startDate,
                   java.sql.Date endDate)

  Crea una instancia delobjeto de acuerdo a los parámetros que recibe. Llama al método `loadData(param)` para cargar el log desde la base de datos. Permitirá construir un listado de entradas del log de eventos filtrado por varias campos como el usuario, la operación o la fecha de realización de la operación.

  Parameters:
    `userId` - Identificador del usuario
    `actionId` - Identificador de la operación realizada;
    `startDate` - Fecha de inicio.
    `endDate` - Fecha de terminación

Method Detail

### loadData

    public void loadData()

  Este método carga el log de eventos desde la base de datos por medio del método `query` de la clase `SQLUtilities`.

### loadData

    public void loadData(java.lang.String userId,
                         int actionId,
                         java.sql.Date startDate,
                         java.sql.Date endDate)

  Este método carga el log de eventos desde la base de datos por medio del método `query` de la clase `SQLUtilities`. Este método construye el listado con base a los parámetros usuario, acción y un rango de fechas. Este método puede recibir como parámetro por omisión en los parámetros para el usuario("") y acción(-1) o 0000-00-00 para las fechas como valores que indican todos los valores de ese campo.

  Parameters:
    `userId` - Identificador del usuario
    `actionId` - Identificador de la operación realizada;
    `startDate` - Fecha de inicio.
    `endDate` - Fecha de terminación

### getLog

    public java.util.Hashtable getLog()

  Consultor para el atributo log.

  Returns:
    Valor del atributo log.

### setLog

    public void setLog(java.util.Hashtable log)

  Modificador para el atributo log.

  Parameters:
    `log` - Nuevo valor del atributo log.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD